python-mock_2.0.0-3_all.deb


Advertisement

Description

python-mock - Mocking and Testing Library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-mock
Package version 2.0.0
Package release 3
Package architecture all
Package type deb
Installed size 281 B
Download size 46.32 KB
Official Mirror archive.ubuntu.com
mock provides a core mock.Mock class that is intended to reduce the
need to create a host of trivial stubs throughout your test suite.
After performing an action, you can make assertions about which methods
/ attributes were used and arguments they were called with. You can
also specify return values and set specific attributes in the normal
way.

Alternatives

Package Version Architecture Repository
python-mock_2.0.0-3_all.deb 2.0.0 all Ubuntu Main
python-mock - - -

Requires

Name Value
python-funcsigs >= 1
python-pbr >= 1.3
python-six >= 1.9
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-mock_2.0.0-3_all.deb
Source Package python-mock

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-mock deb package:
    # sudo apt-get install python-mock

Files

Path
/usr/lib/python2.7/dist-packages/mock/__init__.py
/usr/lib/python2.7/dist-packages/mock/mock.py
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/pbr.json
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/mock-2.0.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/mock/tests/__init__.py
/usr/lib/python2.7/dist-packages/mock/tests/__main__.py
/usr/lib/python2.7/dist-packages/mock/tests/support.py
/usr/lib/python2.7/dist-packages/mock/tests/testcallable.py
/usr/lib/python2.7/dist-packages/mock/tests/testhelpers.py
/usr/lib/python2.7/dist-packages/mock/tests/testmagicmethods.py
/usr/lib/python2.7/dist-packages/mock/tests/testmock.py
/usr/lib/python2.7/dist-packages/mock/tests/testpatch.py
/usr/lib/python2.7/dist-packages/mock/tests/testsentinel.py
/usr/lib/python2.7/dist-packages/mock/tests/testwith.py
/usr/share/doc/python-mock/changelog.Debian.gz
/usr/share/doc/python-mock/copyright

Changelog

2016-10-06 - Thomas Goirand <zigo@debian.org>
python-mock (2.0.0-3) unstable; urgency=medium
* Team upload (with agreement from Ondřej Nový).
* Uploading to unstable.
* Removed useless X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.3.
* Moved some build-depends into build-depends-indep.
2016-07-06 - Ondřej Nový <onovy@debian.org>
python-mock (2.0.0-2) experimental; urgency=medium
* Require newer version of python-funcsigs (Closes: #829631)
* Use Python 3 version of Sphinx
* Added myself as uploader
* wrap-and-sort -t -a
* d/copyright: Added myself to Debian part
* d/watch: Use https protocol
* Changed homepage to new one
2016-06-07 - Ondřej Nový <novy@ondrej.org>
python-mock (2.0.0-1) experimental; urgency=medium
[ Ondřej Nový ]
* Team upload.
* New upstream release
* Fixed B-D and D for new release
* Removed pbr.patch and return-to-a-standard-requirements-def.patch
(not needed anymore)
* Fixed VCS URL (https)
* Check signature of upstream tarball, added Robert Collins crt
* Bump X-Python{3,}-Version
* Removed override_dh_installchangelogs (not needed)
* Enabled autopkgtest-pkg-python testsuite
[ Thomas Goirand ]
* debian/control:
- Standards-Version is now 3.9.8 (no change).
- Removed Breaks+Replaces that were addressing issues prior oldoldstable.
* debian/rules:
- using dpkg-parsechangelog -SVersion and not -S Version, as Trusty
wouldn't accept the space.
- Correctly build doc in the override_dh_sphinxdoc and not in auto_build.
* Using debian/source/options to ignore egg-info changes instead of
cleaning the files.
* Bump debhelper to 9 instead of 8.
* Added patch to disable failing test.
2015-08-04 - Thomas Goirand <zigo@debian.org>
python-mock (1.3.0-2.1) unstable; urgency=medium
* Team upload.
* Add patch to requirements.txt to avoid funky results not supported by
pkg_resources in the generated egg-info (Closes: #794461).
2015-07-31 - Michael Fladischer <fladi@debian.org>
python-mock (1.3.0-2) unstable; urgency=medium
* Lower Build-Depends on python-pbr to (>= 0.11) to allow it to build
in unstable (Closes: #793945).
* Add pbr.patch to sync pbr version between requirements.txt and
setup.py.
* Add python-funcsigs to Depends (Closes: #794013).
* Build-Depend on unittest2 (>= 1.1.0) so we can drop six.patch.
* Remove six.patch now that there is a sufficiently new unittest2
available.
2015-07-28 - Michael Fladischer <fladi@debian.org>
python-mock (1.3.0-1) unstable; urgency=medium
[ Jean-Michel Nirgal Vourgère ]
* Remove David Watson from Uploaders. (Closes: #771614)
[ Michael Fladischer ]
* New upstream release.
* Add six.patch to provide python2 and 3 compatibility for tests.
* Add python-six and python3-six to Build-Depends.
* Add OSLO_PACKAGE_VERSION in d/rules to allow pbr to run the tests.
* Add lintian override for missing PGP signature on upstream tarballs.
* Add dversionmangle and repacksuffix options for DFSG-repack to
d/watch.
* Bump Standards-Version to 3.9.6.
* Drop unnecessary versioned dependencies on python-all and python3-
all.
* Update years in d/copyright.
* Change my email address to fladi@debian.org.
* Use pypi.debian.net service for uscan.
* Switch buildsystem to pybuild.
* Remove PHONY target declarations from d/rules.
* Remove html directory from Files-Excluded as upstream no longer
ships it in their tarball.
* Remove python3.2_tests.patch and python3.4_compat.patch as they are
no longer needed.
* Rename BSD-mock license to BSD-3-clause.
* Add python(3)-pbr and python-setuptools (>= 17.1) to Build-Depends.
* Reformat packaging files with cme for better readability.
2014-02-26 - Barry Warsaw <barry@debian.org>
python-mock (1.0.1-3) unstable; urgency=medium
* Team upload.
* d/patches/python3.4_compat.patch: Fix FTBFS with Python 3.4.
(Closes: #739890) (LP: #1283742)
* d/control: Bump Standards-Version with no other changes necessary.

See Also

Package Description
python-moinmoin_1.9.9-1ubuntu1_all.deb Python clone of WikiWiki - library
python-monascaclient_1.10.0-0ubuntu1_all.deb client bindings for the Monasca API - Python 2.7
python-monotonic_1.1-2_all.deb implementation of time.monotonic() - Python 2.x
python-msgpack_0.5.6-1_amd64.deb Python implementation of MessagePack format
python-munch_2.2.0-1ubuntu2_all.deb dot-accessible dictionary similar to JavaScript objects - Python 2.7
python-mysqldb_1.3.10-1build1_amd64.deb Python interface to MySQL
python-nacl-doc_1.1.2-1build1_all.deb Python bindings to libsodium (documentation)
python-netaddr-docs_0.7.19-1_all.deb manipulation of various common network address notations (documentation)
python-netaddr_0.7.19-1_all.deb manipulation of various common network address notations (Python 2)
python-netifaces_0.10.4-0.1build4_amd64.deb portable network interface information - Python 2.x
python-networkx_1.11-1ubuntu2_all.deb tool to create, manipulate and study complex networks
python-neutron-fwaas_12.0.0-0ubuntu1_all.deb Firewall-as-a-Service driver for OpenStack Neutron
python-neutron-lib-doc_1.13.0-0ubuntu1_all.deb Neutron shared routines and utilities - doc
python-neutron-lib_1.13.0-0ubuntu1_all.deb Neutron shared routines and utilities - Python 2.7
python-neutron_12.0.1-0ubuntu1_all.deb Neutron is a virtual network service for Openstack - Python library
Advertisement
Advertisement